<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
$oldday = date( "d", time( ) );
$adr = trim( $REMOTE_ADDR );
$data = file( "data/counter.dat" );
$ex = explode( "|", $data[0] );
$hit = intval( $ex[0] );
$all = intval( $ex[1] );
$today = intval( $ex[2] );
$bdadr = trim( $ex[3] );
++$hit;
++$all;
if ( $bdadr != $adr )
{
$fp = fopen( "data/counter.dat", "wb" );
if ( $oldday == $today )
{
$mdata = $hit."|".$all."|".$oldday."|".$adr;
}
else
{
$mdata = "1|".$all."|".$oldday."|".$adr;
$hit = 1;
}
fputs( $fp, $mdata );
fclose( $fp );
}

//print "<br/><b><a href=\"http://waufon.ru/kat_chat/in.php?id={$katalog}\">Каталог чатов</a></b><br/>";
print "<br/><div>Сеня: <b>{$hit}</b>";
print "<br/>Всего: <b>{$all}</b></div>";
?>